@import url('https://fonts.googleapis.com/css2?family=Aboreto&family=Dancing+Script&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font: 1.5rem 'Aboreto', cursive ;
    min-height: 100vh;

    background-color: #333;
    background-image: radial-gradient(whitesmoke, #475569);
    display: flex;
    flex-direction: column;
}

header, nav, main, footer {
    display: grid;
    place-content: center;
    grid-template-columns: 100%;
    text-align: center;
}

header,footer {
    position: sticky;
    background-color: #1e293b;
    color: whitesmoke;

}

header {
    top: 0;

}

nav {
    background-color: #fff;
    color: #000;
    padding: 0.5rem;
    border-bottom: 2px solid #000;
}

main {
    flex-grow: 1;
}

footer {
    bottom: 0;
}

/* Small */
@media screen and (min-width: 576px) {
    body {
        background-color: green;
        background-image: radial-gradient(whitesmoke, green);
    }
    nav {
        display: none;
    }
}

/* Medium */
@media screen and (min-width: 768px) {
    body {
        background-color: firebrick;
        background-image: radial-gradient(whitesmoke, firebrick);
    }
    
    
}
/* Large */
@media screen and (min-width: 992px) {
    body {
        background-color: gold;
        background-image: radial-gradient(whitesmoke, gold);
    }
    
    
}
/* XL */
@media screen and (min-width: 1200px) {
    body {
        background-color: purple;
        background-image: radial-gradient(whitesmoke, purple);
    }
    
    
}
/* MOBILE DEVICE LANDSCAPE */
@media screen and (min-width: 425px) and (min-aspect-ratio: 7/4){
    body {
        background-color: dodgerblue;
        background-image: radial-gradient(whitesmoke, dodgerblue);
    }
    
    
}

h1, h2 {
    font-size: 1.5rem;
}

nav {
    display: none;
}